com.fasterxml.jackson.databind.deser

## Class UnresolvedForwardReference

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.deser.UnresolvedForwardReference

- All Implemented Interfaces:
    Serializable

      public class UnresolvedForwardReference
      extends JsonMappingException

  Exception thrown during deserialization when there are object id that can't be resolved.
  Author:
    pgelinas
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnresolvedForwardReference(JsonParser p, String msg)`
    `UnresolvedForwardReference(JsonParser p, String msg, JsonLocation loc, ReadableObjectId roid)`
    `UnresolvedForwardReference(String msg)` Deprecated. Since 2.7
    `UnresolvedForwardReference(String msg, JsonLocation loc, ReadableObjectId roid)` Deprecated. Since 2.7

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUnresolvedId(Object id, Class<?> type, JsonLocation where)`
    `String` | `getMessage()` Method is overridden so that we can properly inject description of problem path, if such is defined.
    `ReadableObjectId` | `getRoid()`
    `Object` | `getUnresolvedId()`
    `List<UnresolvedId>` | `getUnresolvedIds()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `clearLocation, getLocation, getMessageSuffix, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedForwardReference

          public UnresolvedForwardReference(JsonParser p,
                                            String msg,
                                            JsonLocation loc,
                                            ReadableObjectId roid)

      Since:
        2.7

    - #### UnresolvedForwardReference

          public UnresolvedForwardReference(JsonParser p,
                                            String msg)

      Since:
        2.7

    - #### UnresolvedForwardReference

          @Deprecated
          public UnresolvedForwardReference(String msg,
                                                        JsonLocation loc,
                                                        ReadableObjectId roid)

      Deprecated. Since 2.7

    - #### UnresolvedForwardReference

          @Deprecated
          public UnresolvedForwardReference(String msg)

      Deprecated. Since 2.7

  - ### Method Detail

    - #### getRoid

          public ReadableObjectId getRoid()

    - #### getUnresolvedId

          public Object getUnresolvedId()

    - #### addUnresolvedId

          public void addUnresolvedId(Object id,
                                      Class<?> type,
                                      JsonLocation where)

    - #### getUnresolvedIds

          public List<UnresolvedId> getUnresolvedIds()

    - #### getMessage

          public String getMessage()

      Description copied from class: `JsonMappingException`
      Method is overridden so that we can properly inject description of problem path, if such is defined.
      Overrides:
        `getMessage` in class `JsonMappingException`

Copyright © 2008–2020 FasterXML. All rights reserved.